# Changelog

{% hint style="info" %}
**Current version**: 1.8.5

**WordPress Version**: 4.0 or higher / **Tested up to**: 6.6

**WooCommerce Version**: 3.0 or higher / **Tested up to**: 9.1

**PHP Version**: 5.6 or higher
{% endhint %}

### 1.8.5

* Declare compatibility with WordPress 6.6 and WooCommerce 9.1.

### 1.8.4

* Fix an error encountered by certain users in v1.8.3 when processing images in the background.

### 1.8.3

* Process image when `set_post_thumbnail` is called.
* Stability improvement

### 1.8.2

* Stability improvement

### 1.8.1

* Declare compatibility with custom order tables for WooCommerce.

### 1.8.0

* Added a new experimental setting "Cropping mode". To enable it, add the filter: `add_filter('enable_experimental_features/crop_mode', '__return_true' );`

### 1.7.8

* Removed `is_feed` notice
* Declare compatibility with WooCommerce 7.0

### 1.7.7

* Improved compatibility with new themes and plugins
* Declare compatibility with WooCommerce 6.9
* Stability improvements

### 1.7.6.4

* Fixed an issue with the Trim whitespace's border size option not working properly in GD.
* Stability improvements

### 1.7.6.3

* Minor bugfixes

### 1.7.6.2

* Fixed an issue in v1.7.6 causing some plugins' assets to not load properly.

### 1.7.6

* Deleted the option "Use WordPress cropping" as it seems to be causing some confusion for many users. To prevent specific sizes from being resized by the plugin use the filter `wp_sir_exclude_sizes` to return an array of size names you want to exclude.
* Fixed an issue with WebP files not deleted when the WebP feature is turned off.
* Declared compatibility with WP v6.0
* Declared compatibility with WooCommerce 6.3
* Added a work-around to fix a bug in Regenerate Thumbnails causing the latter to interfere with WPML.
* Stability improvements

### 1.7.5.4

* Declared compatibility with WooCommerce v6.1
* Declared compatibility with WP v5.9
* Stability improvements

### 1.7.5.3

* Minor bug fixes

### 1.7.5.1

* Fallback to GD when the Imagick is not compiled with libwebp

### 1.7.5&#x20;

* Process skipped images in the background after they get attached

### 1.7.4

* Replace "Resize fit mode" option with "Use WordPress cropping"
* Performance improvement

### 1.7.3

* Fixed blank WebP images with converting some PNG images in Imagick 6.x
* Fixed an issue with the "Trim whitespace" border size not working properly.

### 1.7.2

* Improved CMYK images handling

### 1.7.1

* Format error message in WP CLI and prevent terminating execution
* Fixed an issue with CMYK profile not converted to RGB in Imagick

### 1.7.0

* Added the Watermark tool (beta)

### 1.6.4.2

* Switch to another image processor when the default one doesn't support WebP images.

### 1.6.4.1

* Fixed WebP Images not served in Ajax responses

### 1.6.4

* Stability improvements

### 1.6.3

* Minor bugfixes

### 1.6.1

* Added the ability to customize the default WooCommerce sizes
* Stability improvements

### 1.6.0

* Add the ability to specify the resize fit mode for each size
* Stability improvements

### 1.5.5.1

* Stability improvements

### 1.5.5

* Fixed a color issue with some CMYK images
* Fixed faded images in some Imagick installs

### 1.5.4

* Fixed an issue with some themes not loading the correct image size

### 1.5.3

* Stability improvements

### 1.5.2

* Fixed thumbnail overwritten by WordPress when original image and thumbnail dimensions are identical
* Fixed an issue with Flatsome using full size image instead of `woocommerce_single` for lazy load
* Ignore sizes with 9999 dimension (unlimited height/width)
* Improved WebP availability detection

### 1.5.1

* Default to Imagick when available
* Fixed Avada not serving the correct thumbnails on non-WooCommerce pages
* Improved the settings page experience

### 1.5.0

* Filter processed images in the media library toolbar
* Added filter `wp_sir_serve_webp_images`
* Improved the Whitespace trimming tool

### 1.4.10

* Declared compatibility with WooCommerce v5.2

### 1.4.9

* Use GD to process large images

### 1.4.8

* Fixed an minor issue with some CMYK images

### 1.4.7

* Fixed an issue with PNG-JPG conversion conflict
* Added support for WCFM plugin.
* Declared compatibility with WooCommerce v5.0
* Stability improvement

### 1.4.6.1

* Declared compatibility with WooCommerce v4.9

### 1.4.6

* Added tolerance level setting to trim away colors that differ slightly from pure white
* Improved unwanted/old thumbnails clean up

### 1.4.5

* Stability improvement

### 1.4.4

* Improved bulk-resizing using Regenerate Thumbnails plugin
* Stability improvement

### 1.4.3.2

* Prevent WooCommerce from regenerating thumbnails in the background

### 1.4.3.1

* Moved the license activation form to the plugin settings page under the "Manage License" tab

### 1.4.3

* Fixed a minor issue with JPG images quality when compression is set to 0%
* Stability improvement

### 1.4.2.7

* Fixed an issue with UTF-8 encoded file names

### 1.4.2.6

* Improved compatibility with WC product import tool

### 1.4.2.5

* Fixed an issue when uploading non-image files occurred in the previous update

### 1.4.2.4

* Added the ability to activate multiple WP installations under the same domain.

### 1.4.2.3

* Turned off cache busting by default

### 1.4.2.2

* Fixed WebP images not loading in some non-WooCommerce pages

### 1.4.2.1

* Fixed whitespace trimming for some image profiles (Imagick)
* Added an option to specify the trimmed image border

### 1.4.2

* Fixed an issue with WebP images used in Open Graph image
* Improved resizing performances
* Stability improvement

### 1.4.1

* Fixed a bug with WebP not installed on server
* Fixed an issue with front-end Media Library

### 1.4.0

* Added support for category images
* Add the ability to decide whether to resize an image being uploaded directly from the Media Library uploader
* Added support for WooCommerce Rest API
* Developers can trigger the plugin by adding the boolean parameter `_processable_image` to the upload request
* Added filter `wp_sir_maybe_upscale` to prevent small images from being enlarged
* Process image attachment with valid parent ID
* Improved whitespace trimming in Imagick
* Fixed a minor bug with compression
* Removed non-resized images from  `srcset`
* Fixed an issue with trimmed images being stretched when zoomed on the product page
* Improved support for products bulk-import
* Improved processing performances in Imagick

### 1.3.9

* Fixed a compatibility issue with Dokan vendor interface
* Performance improvements

### 1.3.8

* Added compatibility with WP 5.4
* Added support for WP Smush
* Added support for Dokan
* Stability improvements

### 1.3.7

* Stability improvement

### 1.3.6

* Fix a minor issue with image parent type detection

### 1.3.5

* Improved Regenerate Thumbnails plugin speed

### 1.3.4

* Stability improvements

### 1.3.3

* Fixed a minor issue with the settings page

### 1.3.2

* Added thumbnails regeneration guide under "Regenerate Thumbnails" tab

### 1.3.1

* Added a workaround to fix a minor bug in Regenerate Thumbnails tool

### 1.3

* Default to the `woocommerce_single` size when selected for the product page.
* Stability improvements

### 1.2.4

* Fix `srcset` images not loaded when WebP is enabled

### 1.2.3

* Default GD
* Stability improvements

### 1.2.2

* Prevent black background when converting transparent PNG to JPG
* Fixed a random issue that causes WebP images to not load.
* Disabled license notice
* Stability improvements

### 1.2.1

* Added *Settings* link to the plugin row
* Fixed a minor bug in the WebP feature

### 1.2.0

* Added Whitespace Trimming feature
* Various improvements

### 1.1.12

* Fixed crash when `Fileinfo` extension is not available.

### 1.1.11

* Added support for Jetpack

### 1.1.10

* Fixed conflict with some plugins

### 1.1.9

* Prevent WooCommerce from regenerating thumbnails in the background

### 1.1.8

* Handle *libwebp* not installed.

### 1.1.7

* Stability improvements

### 1.1.6

* Stability improvements

### 1.1.5

* Force square image when height is set to auto.

### 1.1.4

* Stability improvements

### 1.1.3

* Fixed empty sizes list

### 1.1.2

* Added settings improvements
* Added processed images notice

### 1.1.1

* Added `Fileinfo` extension and PHP requirements notices
* Improved the settings page experience.

### 1.1.0

Initial release of Smart Image Resize Pro


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sirplugin.com/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
